Bug 234672 - Entirely remove support for -apple-trailing-word
Summary: Entirely remove support for -apple-trailing-word
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Tim Nguyen (:ntim)
URL:
Keywords: InRadar
Depends on: CVE-2019-8615
Blocks:
  Show dependency treegraph
 
Reported: 2021-12-24 14:50 PST by Tim Nguyen (:ntim)
Modified: 2022-02-01 12:23 PST (History)
17 users (show)

See Also:


Attachments
Patch (12.98 KB, patch)
2022-01-31 12:48 PST, Tim Nguyen (:ntim)
simon.fraser: review+
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (16.55 KB, patch)
2022-02-01 00:29 PST, Tim Nguyen (:ntim)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Nguyen (:ntim) 2021-12-24 14:50:24 PST
It became no-op in bug 196525, but CSS property parsing/codegen was kept for compatibility on some frameworks using it for Safari detection.

The issues that were opened for the 2 main usages found have since been closed and fixed.

Here are some usages in the wild: https://sourcegraph.com/search?q=context:global+apple-trailing-word&patternType=literal
Comment 1 Radar WebKit Bug Importer 2021-12-31 14:51:18 PST
<rdar://problem/87036364>
Comment 2 Tim Nguyen (:ntim) 2022-01-31 12:48:06 PST
Created attachment 450431 [details]
Patch
Comment 3 Myles C. Maxfield 2022-01-31 12:53:10 PST
I'm of 2 minds about this.

On one hand I want to kill -apple-trailing-word with fire.

On the other hand, it looks like it's still used by at least a few fairly high-visibility repos. cssinjs and reacttips-dev seem worth at least filing issues on.
Comment 4 Simon Fraser (smfr) 2022-01-31 13:00:31 PST
Comment on attachment 450431 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=450431&action=review

> Source/WebCore/css/CSSProperties.json:-7650
> -        "-apple-trailing-word": {

Maybe leave it in but mark as "Removed".
Comment 5 Tim Nguyen (:ntim) 2022-02-01 00:29:31 PST
Created attachment 450505 [details]
Patch
Comment 6 EWS 2022-02-01 01:34:13 PST
Committed r288869 (246621@main): <https://commits.webkit.org/246621@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 450505 [details].
Comment 7 Jonathan Bedard 2022-02-01 12:23:56 PST
Looks like this is causing webkitpy failures:
https://results.webkit.org/?suite=webkitpy-tests&test=webkitpy.w3c.test_converter_unittest.W3CTestConverterTest.test_convert_prefixed_properties

Not really sure how that happens....